CognitiveX Docs
API

GET /api/introspect/graph/path

Get Graph Path

GET /api/introspect/graph/path

Get Graph Path

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
from_topicquerystringYesSource topic string
to_topicquerystringYesTarget topic string
X-Org-IDheaderstring | nullNo-

Example request

curl -X GET https://api.cognitivx.io/api/introspect/graph/path \
  -H "Authorization: Bearer icog_..."

Example response

200 application/json

{
  "from_topic": "string",
  "to_topic": "string",
  "path": [
    {
      "memory_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "content_text": "Parsa prefers limit/offset pagination",
      "importance": 0,
      "memory_type": "semantic"
    }
  ],
  "path_length": 1,
  "found": false
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.